# otcli

```
otcli [options] [command]

Options:
  -V, --version      Show othentic-cli version
  -h, --help         display help for command
```

## Commands <a href="#quick-tips" id="quick-tips"></a>

* [**network**](https://docs.othentic.xyz/main/reference/othentic-cli/network)**:** Deploy and manage AVS network
* [**operator**](https://docs.othentic.xyz/main/reference/othentic-cli/othentic-cli-operator)**:** Perform actions as AVS Operator
* [**wallet**](https://docs.othentic.xyz/main/reference/othentic-cli/wallet)**:** Perform wallet & keys actions

***

## **Providing Keys to the CLI** <a href="#quick-tips" id="quick-tips"></a>

Keys can be provided to the CLI either at runtime via flags or through environment variables.

<details>

<summary>Using Keystore Files</summary>

#### **At Runtime:**

```bash
otcli [SUB-COMMAND-1] [SUB-COMMAND-2] \
    --keystore <KEYSTORE_PATH> \
    --keystore-password <DECRYPT_PASSWORD>
```

* **KEYSTORE\_PATH:** Path to the JSON-formatted Keystore file.
* **DECRYPT\_PASSWORD**: Password to decrypt the Keystore file. If not supplied, you will be prompted to enter it.

#### **Using Environment Variables:**

Set these variables in your `.env` file:

{% code title=".env" %}

```
WALLET_KEYSTORE_PATH=.keystore/your-keystore-file.json
WALLET_KEYSTORE_PASSWORD=your_password
OPERATOR_ADDRESS=0xabc... # Required when using a separate Consensus Key
```

{% endcode %}

</details>

<details>

<summary>Using Raw Keys</summary>

#### **At Runtime:**

```
otcli [SUB-COMMAND-1] [SUB-COMMAND-2] \
    --private-key <RAW_PRIVATE_KEY>
```

#### **Using Environment Variables:** <a href="#quick-tips" id="quick-tips"></a>

Set these variables in your `.env` file:

{% code title=".env" %}

```
PRIVATE_KEY=81da2278784f...
OPERATOR_ADDRESS=0xabc... # Required when using a separate Consensus Key
```

{% endcode %}

</details>

### Browser wallet support

Othentic CLI supports using browser wallets like Metamask, SAFE, wallet connect etc.

* This feature is particularly useful when using multisig account or scenarios where the private key can not be pasted directly.&#x20;
* This feature can be used across all CLI commands seamlessly.

To use this, include the `--browser-sign` flag when running any CLI command.

For reference, see [this guide on deploying an AVS through browser wallet.](https://docs.othentic.xyz/main/user-guide/network-management/deploy-avs#id-7.-deploy-an-avs-with-browser-wallet)

***

## **Quick Tips** <a href="#quick-tips" id="quick-tips"></a>

For detailed instructions, examples, and best practices for each command, refer to the corresponding sections in this documentation.

* Always ensure you are using the latest version of the CLI.
* Use the `--help` or `-h` flag with any command to view usage details.
* Verify your configurations before deployment to avoid errors.
* Check your environment variables and `.env` file contents


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.othentic.xyz/main/reference/othentic-cli.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
